## libopendbx 1.4.6

=== debian/changelog ===
libopendbx (1.4.6-16) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC-11 (Closes: #984196):
    - Build with -std=c++11 in CXXFLAGS.
  * Adjust symbols in libopendbx1.symbols according to dpkg-gensymbols output.
  * Bump Standards-Version to 4.6.0 without further changes.

 -- David Bürgin <dbuergin@gluet.ch>  Sun, 17 Oct 2021 10:39:05 +0200

libopendbx (1.4.6-15) unstable; urgency=high

  * QA upload.
  * Drop obsolete libopendbx1-sqlite binary package (Closes: #972126).
  * Add newly detected symbols to libopendbx1.symbols and tag as optional.
  * Bump Standards-Version to 4.5.1 without further changes.

 -- David Bürgin <dbuergin@gluet.ch>  Fri, 20 Nov 2020 19:03:53 +0100

libopendbx (1.4.6-14) unstable; urgency=medium

  [ David Bürgin ]
  * QA upload.
  * Remove unused build dependencies on dh-autoreconf and autotools-dev.
  * Empty out broken debian/watch file (upstream is no longer developed).
  * Bump Standards-Version to 4.5.0 without further changes.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1.3.11-1, 1.3.4-1, 1.3.3-1,
    1.3.2-1, 1.1.3-1, 1.1.2-1, 1.1.0-1, 0.9.4-1, 0.9.1-1, 0.9.0-1,
    0.9-1, 0.8-1.

 -- David Bürgin <dbuergin@gluet.ch>  Sat, 07 Mar 2020 21:09:31 +0100

libopendbx (1.4.6-13) unstable; urgency=medium

  [ Scott Kitterman ]
  * Orphan the package, see #916331
    - Set maintainer to Debian QA Group
    - Remove Marc Haber and myself from uploaders
  * Update symbols from build logs

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces

 -- Scott Kitterman <scott@kitterman.com>  Thu, 13 Dec 2018 18:57:48 -0500

libopendbx (1.4.6-12) unstable; urgency=medium

  * Update maintainer address due to demise of alioth (Closes: #899584)
  * Update Vcs-* for move to salsa
  * Bump standards-version to 4.1.4 without further change
  * Delete incorrect built-using field for libopendbx-doc
  * Mark libopendbx-doc Multi-Arch: foreign
  * Install pkg-config file in cross-compilation friendly location

 -- Scott Kitterman <scott@kitterman.com>  Mon, 04 Jun 2018 13:15:38 -0400

libopendbx (1.4.6-11) unstable; urgency=medium

  * Wrap and sort
  * Build depend on firebird-dev instead of firebird2.5-dev (Closes: #841469)
  * Build depend on default-libmysqlclient-dev insted of libmysqlclient-dev

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Oct 2016 22:13:04 -0400

libopendbx (1.4.6-10) unstable; urgency=medium

  * Update debian/rules to allow for arch and indep only builds to succeed
    (Closes: #806060)
  * Bump standards version to 3.9.8 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Jul 2016 17:26:46 -0400

libopendbx (1.4.6-9) unstable; urgency=medium

  * Update libopendbx1.symbols for g++5 transition (Closes: #777962)
    - Symbols are lost/gained for the C++ portion of the library, but nothing
      in Debian uses them, so not bumping library name
  * Add rm of additional build artifacts (doc/doxygen_sqlite3.db and
    utils/doc/odbx-sql.1) to clean rule so package builds twice in a row
  * Update mechanism in debian/rules for adding dpkg-gensymbols from pkg-kde-
    tools to the path
  * Bump standards version to 3.9.6 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 03 Aug 2015 15:46:14 -0400

libopendbx (1.4.6-8) unstable; urgency=medium

  * Switch to source format 3.0 (quilt) since patches stopped being applied on
    the buildds for some reason
    - Update debian/rules
    - Remove quilt portions of debian/README.Source
    - Update build-depends

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Sep 2014 14:30:20 -0400

libopendbx (1.4.6-7) unstable; urgency=medium

  * Fix FTBFS due to incompatible change in doxygen 1.8.8 (Closes: #759951)
    - Add symlink from lib/opendbx/api to lib/opendbx/api.dox in debian/rules
      so the correct FileParser is used without having to rewrite the opendbx
      makefiles to work with a new filename.
    - Remove the symlink in clean
    - Add debian/patches/inputname.diff to change the INPUT file name in doc/
      Doxyfile.in to use api.dox and upgrade using doxygen -u

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Sep 2014 12:41:45 -0400

libopendbx (1.4.6-6) unstable; urgency=medium

  [ Xilin Sun ]
  * Update libopenbx1.symbols to fix ftbfs with GCC-4.9 (Closes: #746868)

  [ Scott Kitterman ]
  * Add mips64 mips64el specific symbols changes (Closes: #746267)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 14 Jun 2014 00:17:03 -0400

libopendbx (1.4.6-5) unstable; urgency=medium

  * Confirm symbols on all archs
  * Capture unforwarded change from Ubuntu to use dh-autoreconf
  * Update for symbols on Debian and Ubuntu ports (alpha, arm64, ppc64,
    ppc64el, and sparc64)
  * Update standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 19 Mar 2014 17:00:14 -0400

libopendbx (1.4.6-4) unstable; urgency=low

  * Switch maintainer address to alioth list (pkg-libopendbx-maintainers) now
    that it is set up
  * Update Vcs-* now that it's set up on alioth (Closes: #702244)
  * Update debian/libopendbx1.symbols to match GCC 4.8 (Closes: #701306)
  * Adjust debian/rules to use pkgkde-gensymbols for more consistent C++
    symbols

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Jul 2013 21:22:17 -0400

libopendbx (1.4.6-3) unstable; urgency=low

  * Reorganize rules to avoid build-stamp in binary
  * Update symbols files again based on logs from amd64, ia64, kfreebsd-amd64,
    mips, mipsel, powerpc, s390, s390x, and sparc
  * Change libopendbx1 Depends on libopendbx1-sqlite3 | libopendbx1-backend to
    Recommends to break dependency loop (Closes: #693713)
  * Add debian/patches/odbxtest_exit_1_on_error.diff so that test failures
    will also cause the build to fail
  * Fix debian/odbxtest.site path so tests run correctly

