=== debian/control ===
Source: libopendbx
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 12),
               default-libmysqlclient-dev,
               docbook2x,
               doxygen,
               firebird-dev,
               freetds-dev,
               libncurses-dev | libncurses5-dev,
               libpq-dev,
               libreadline-dev,
               libsqlite3-dev,
               libtool,
               pkg-kde-tools,
               unixodbc-dev | libiodbc2-dev
Build-Conflicts: autoconf2.13, automake1.4
Homepage: http://www.linuxnetworks.de/doc/index.php/OpenDBX
Vcs-Git: https://salsa.debian.org/debian/libopendbx.git
Vcs-Browser: https://salsa.debian.org/debian/libopendbx
Standards-Version: 4.6.0
Section: libs

Package: libopendbx1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libopendbx1-sqlite3 | libopendbx1-backend
Description: Lightweight database access abstraction layer
 OpenDBX provides a simple and lightweight API for interfacing native
 relational database APIs in a consistent way. By using the OpenDBX API you
 don't have to adapt your program to the different database APIs by yourself.
 .
 The sqlite3 backend is recommended by default if no other backend is
 installed with libopendbx1

Package: libopendbx1-dev
Section: libdevel
Architecture: any
Depends: libopendbx1 (= ${binary:Version}), ${misc:Depends}
Provides: libopendbx-dev
Conflicts: libopendbx-dev
Description: Lightweight database access abstraction layer (dev)
 OpenDBX provides a simple and lightweight API for interfacing native
 relational database APIs in a consistent way. By using the OpenDBX API you
 don't have to adapt your program to the different database APIs by yourself.
 .
 This package contains the header file to develop backends for libopendbx

Package: libopendbx1-firebird
Architecture: any
Depends: libopendbx1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: libopendbx1-backend
Description: Firebird backend for OpenDBX
 OpenDBX provides a simple and lightweight API for interfacing native
 relational database APIs in a consistent way. By using the OpenDBX API you
 don't have to adapt your program to the different database APIs by yourself.
 .
 This package contains the Firebird backend.

Package: libopendbx1-mssql
Architecture: any
Depends: libopendbx1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: libopendbx1-backend
Description: MSSQL backend for OpenDBX
 OpenDBX provides a simple and lightweight API for interfacing native
 relational database APIs in a consistent way. By using the OpenDBX API you
 don't have to adapt your program to the different database APIs by yourself.
 .
 This package contains the MSSQL backend.

Package: libopendbx1-mysql
Architecture: any
Depends: libopendbx1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: libopendbx1-backend
Description: MySQL backend for OpenDBX
 OpenDBX provides a simple and lightweight API for interfacing native
 relational database APIs in a consistent way. By using the OpenDBX API you
 don't have to adapt your program to the different database APIs by yourself.
 .
 This package contains the MySQL backend.

Package: libopendbx1-odbc
Architecture: any
Depends: libopendbx1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: libopendbx1-backend
Description: ODBC backend for OpenDBX
 OpenDBX provides a simple and lightweight API for interfacing native
 relational database APIs in a consistent way. By using the OpenDBX API you
 don't have to adapt your program to the different database APIs by yourself.
 .
 This package contains the ODBC backend.

Package: libopendbx1-pgsql
Architecture: any
Depends: libopendbx1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: libopendbx1-backend
Description: PostgreSQL backend for OpenDBX
 OpenDBX provides a simple and lightweight API for interfacing native
 relational database APIs in a consistent way. By using the OpenDBX API you
 don't have to adapt your program to the different database APIs by yourself.
 .
 This package contains the PostgreSQL backend.

Package: libopendbx1-sqlite3
Architecture: any
Depends: libopendbx1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: libopendbx1-backend
Description: SQLite3 backend for OpenDBX
 OpenDBX provides a simple and lightweight API for interfacing native
 relational database APIs in a consistent way. By using the OpenDBX API you
 don't have to adapt your program to the different database APIs by yourself.
 .
 This package contains the SQLite3 backend.

Package: libopendbx1-sybase
Architecture: any
Depends: libopendbx1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: libopendbx1-backend
Description: Sybase ctlib backend for OpenDBX
 OpenDBX provides a simple and lightweight API for interfacing native
 relational database APIs in a consistent way. By using the OpenDBX API you
 don't have to adapt your program to the different database APIs by yourself.
 .
 This package contains the Sybase backend.

Package: opendbx-utils
Architecture: any
Depends: libopendbx1 (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: opendbx-utils
Description: Utility applications using libopendbx
 OpenDBX provides a simple and lightweight API for interfacing native
 relational database APIs in a consistent way. By using the OpenDBX API you
 don't have to adapt your program to the different database APIs by yourself.
 .
 This package provides the odbx-sql utility application for accessing database
 content directly via libopendbx and the opendbx test suite for verifying that
 various backends are working

Package: opendbx-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Description: Opendbx documentation
 OpenDBX provides a simple and lightweight API for interfacing native
 relational database APIs in a consistent way. By using the OpenDBX API you
 don't have to adapt your program to the different database APIs by yourself.
 .
 This package provides html documentation for OpenDBX
