=== debian/watch ===
# No upstream sources to watch, upstream is inactive.
version=4
